#include "file.h"

static ALLEGRO_FILE_INTERFACE packfile_interface;
	
ALLEGRO_FILE * vgolf_fopen_packfile(const char * fn, const char * mode)
{
	packfile_interface.fi_fopen = fi_pack_fopen;
	packfile_interface.fi_fclose = fi_pack_fclose;
	packfile_interface.fi_fread = fi_pack_fread;
	packfile_interface.fi_fwrite = fi_pack_fwrite;
	packfile_interface.fi_fflush = fi_pack_fflush;
	packfile_interface.fi_ftell = fi_pack_ftell;
	packfile_interface.fi_fseek = fi_pack_fseek;
	packfile_interface.fi_feof = fi_pack_feof;
	packfile_interface.fi_ferror = fi_pack_ferror;
	packfile_interface.fi_fclearerr = fi_pack_fclearerr;
	packfile_interface.fi_fungetc = fi_pack_fungetc;
	packfile_interface.fi_fsize = fi_pack_fsize;
	
	return al_fopen_interface(&packfile_interface, fn, mode);
}
