#ifndef VGOLF_GAMEPLAY_VERT_H
#define VGOLF_GAMEPLAY_VERT_H

#define ANIMAL_MOVE_FACTOR 0.15
#define ANIMAL_MOVE_TIME 75
#define ANIMAL_ANIM_TIME 8

#define CLOUD_MOVE_FACTOR 0.25

#define DEFAULT_DOOR_DURATION 100

void hole_initialize_verts(HOLE * hole);
void vert_logic(VERT * vert, HOLE * hole, COURSE_IMAGE_BANK * i_bank);
void hole_vert_display(ALLEGRO_BITMAP * bp, VERT * vert, HOLE * hole, COURSE_IMAGE_BANK * i_bank, PALETTE * palette, float ox, float oy, float zoom);
void hole_vert_display_bitmap(ALLEGRO_BITMAP * bp, HOLE * hole, int layer, COURSE_IMAGE_BANK * i_bank, PALETTE * palette, float ox, float oy, float zoom);
void hole_vert_display_single_primitive(ALLEGRO_BITMAP * bp, HOLE * hole, int i, COURSE_IMAGE_BANK * i_bank, PALETTE * palette, float ox, float oy, float zoom);
void hole_vert_display_primitive(ALLEGRO_BITMAP * bp, HOLE * hole, int layer, COURSE_IMAGE_BANK * i_bank, PALETTE * palette, float ox, float oy, float zoom);

#endif
