#ifndef APP_UI_PROC_H
#define APP_UI_PROC_H

int ui_update_menu(ALLEGRO_MENU * menu, int item, void * data);
int ui_update_menu_undo(ALLEGRO_MENU * menu, int item, void * data);
int ui_update_menu_redo(ALLEGRO_MENU * menu, int item, void * data);
int ui_update_menu_paste(ALLEGRO_MENU * menu, int item, void * data);
int ui_update_menu_tool(ALLEGRO_MENU * menu, int item, void * data);

void ui_load_config(void * data);

int ui_menu_proc_file_new(int id, void * data);
int ui_menu_proc_file_open(int id, void * data);
int ui_menu_proc_file_save(int id, void * data);
int ui_menu_proc_file_save_as(int id, void * data);
int ui_menu_proc_file_edit_tags(int id, void * data);
int ui_menu_proc_file_exit(int id, void * data);

int ui_menu_proc_edit_undo(int id, void * data);
int ui_menu_proc_edit_redo(int id, void * data);
int ui_menu_proc_edit_cut(int id, void * data);
int ui_menu_proc_edit_copy(int id, void * data);
int ui_menu_proc_edit_paste(int id, void * data);

int ui_menu_proc_tool_pencil(int id, void * data);
int ui_menu_proc_tool_line(int id, void * data);
int ui_menu_proc_tool_fill(int id, void * data);
int ui_menu_proc_tool_rectangle(int id, void * data);
int ui_menu_proc_tool_filled_rectangle(int id, void * data);
int ui_menu_proc_tool_clear(int id, void * data);
int ui_menu_proc_tool_circle(int id, void * data);
int ui_menu_proc_tool_filled_circle(int id, void * data);
int ui_menu_proc_tool_select(int id, void * data);

int ui_menu_proc_image_mirror(int id, void * data);
int ui_menu_proc_image_flip(int id, void * data);
int ui_menu_proc_image_turn_cw(int id, void * data);
int ui_menu_proc_image_turn_ccw(int id, void * data);
int ui_menu_proc_image_shift_up(int id, void * data);
int ui_menu_proc_image_shift_down(int id, void * data);
int ui_menu_proc_image_shift_left(int id, void * data);
int ui_menu_proc_image_shift_right(int id, void * data);
int ui_menu_proc_image_load(int id, void * data);

int ui_menu_proc_help_manual(int id, void * data);
int ui_menu_proc_help_about(int id, void * data);

int ui_proc_try_exit(int id, void * data);
int ui_proc_unsaved_save(T3GUI_ELEMENT * d, void * dp);
int ui_proc_unsaved_discard(T3GUI_ELEMENT * d, void * dp);
int ui_proc_unsaved_cancel(T3GUI_ELEMENT * d, void * dp);
int ui_proc_tags_okay(T3GUI_ELEMENT * d, void * dp);
int ui_proc_tags_cancel(T3GUI_ELEMENT * d, void * dp);

#endif
