#include <allegro5/allegro_native_dialog.h>

#include "core/commentary.h"
#include "t3gui/t3gui.h"

#define STATE_EDIT_MAIN 0
#define STATE_EDIT_TAGS 1

/* structure to hold all of our app-specific data */
typedef struct
{
	int state;

	/* UI data */
	ALLEGRO_MENU * file_menu;
	ALLEGRO_MENU * help_menu;
	ALLEGRO_MENU * menu;
	int menu_save_id;
	int menu_save_as_id;
	int menu_tags_id;
	T3GUI_DIALOG * dialog[2];
	T3GUI_DIALOG * about_dialog;
	T3GUI_THEME * button_theme;
	T3GUI_THEME * text_box_theme;
	T3GUI_THEME * about_button_theme;
	T3GUI_THEME * about_box_theme;
	char tags_title[256];
	char tags_author[256];
	char tags_comment[1024];
	int last_index;
	const T3GUI_ELEMENT * tags_ok_element;
	const T3GUI_ELEMENT * type_list_element;
	T3GUI_ELEMENT * voice_list_element;
	char copyright_message[256];

	/* project data */
	VGOLF_COMMENTARY * commentary;

} APP_INSTANCE;

void app_dialog_process_event(ALLEGRO_EVENT * event, T3GUI_ELEMENT * ep, void * data);
